import json
from framework import read, parse_date, where
from api import DatumType


@read
def get_list(*args, **kwargs):
    return f'''select rbd_id as id, rbd_datas as datas from robo_base_datum {where(*args, **kwargs)}'''


@read(one=True)
def get_one(*args, **kwargs):
    return f'''select rbd_id as id, rbd_datas as datas from robo_base_datum {where(*args, **kwargs)}'''


def get_base_datums(type: DatumType = None, crncy=None, risk=None, fund_ids=None):
    fund_ids = tuple(fund_ids) if fund_ids else None
    return get_list(rbd_id=fund_ids, v_rbd_type=type, v_rbd_crncy=crncy, v_rbd_risk=risk)

