CREATE TABLE IF NOT EXISTS robo_optimize_pool
(
    rop_id          BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    rop_date        DATETIME        NOT NULL COMMENT '数据日期',
    rop_fund_ids    JSON                     DEFAULT NULL COMMENT '基金ID',
    rop_create_time DATETIME        NOT NULL DEFAULT CURRENT_TIMESTAMP,
    rop_update_time DATETIME                 DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (rop_id),
    UNIQUE INDEX (rop_date)
) ENGINE = InnoDB
  AUTO_INCREMENT = 0
  DEFAULT CHARSET = utf8mb4 COMMENT '优选基金池';