from framework import read, where, format_date


@read
def get_list(*args, **kwargs):
    return f'''select re_id as id, re_ticker as ticker, re_date as date, re_close as close from robo_exrate {where(*args, **kwargs)}'''


@read(one=True)
def get_one(*args, **kwargs):
    return f'''select re_id as id, re_ticker as ticker, re_date as date, re_close as close from robo_exrate {where(*args, **kwargs)}'''


def get_exrates(ticker=None, min_date=None, max_date=None):
    sqls = []
    if min_date:
        sqls.append(f"re_date >= '{format_date(min_date)}'")
    if max_date:
        sqls.append(f"re_date <= '{format_date(max_date)}'")
    return get_list(*sqls, re_ticker=ticker)


def get_exrate(ticker, date):
    return get_one(re_ticker=ticker, re_date=date)
